| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__SubscriberBGInfo Struct Reference

Subscriber Business Group Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__BGName | BGName
| The Name of the Business Group to which the subscriber belongs. More...
wchar_t * | BGLineName
| Subscriber BG Line Name. More...
xsd__boolean * | BGAttendantNumber
| Indicates the DN is used for the Attendant Number function of the Business Group. More...
int * | CpuId
| A Call Pickup group Id to which this subscriber (BGL) belongs. More...
wchar_t * | CpuName
| The Name of the Call Pickup group where the subscriber belongs. More...
int * | CpuNotificationDelayTimer
| The Notification Delay Timer of the all Pickup group here the subscriber belongs. More...
char * | Extension
| Indicates the Extension number of the subscriber, used for intra BG calls display only. More...
unsp__BGDeptName | BGDeptName
| The name of the Billing BG Department associated with the subscriber. More...
unsp__BGDeptName | BGEmergencyDeptName
| The name of the Emergency BG Department associated with the subscriber. More...
char * | BGBranchOfficeName
| The name of the Branch Office associated with the subscriber. More...
char * | AlphanumericSIPUri
| The unique alphanumeric SIP URI associated with the subscriber. More...

## Detailed Description

Subscriber Business Group Information.

## Member Data Documentation

## ◆ AlphanumericSIPUri

char* unsp__SubscriberBGInfo::AlphanumericSIPUri

The unique alphanumeric SIP URI associated with the subscriber.

required: false
default value[range]: NA [1..127]

## ◆ BGAttendantNumber

xsd__boolean* unsp__SubscriberBGInfo::BGAttendantNumber

Indicates the DN is used for the Attendant Number function of the Business Group.

required: false
default value[range]: false

## ◆ BGBranchOfficeName

char* unsp__SubscriberBGInfo::BGBranchOfficeName

The name of the Branch Office associated with the subscriber.

required: false
default value[range]: NA [1..30]

## ◆ BGDeptName

unsp__BGDeptName unsp__SubscriberBGInfo::BGDeptName

The name of the Billing BG Department associated with the subscriber.

required: false

See also
  unsp__BGDeptName

## ◆ BGEmergencyDeptName

unsp__BGDeptName unsp__SubscriberBGInfo::BGEmergencyDeptName

The name of the Emergency BG Department associated with the subscriber.

required: false

See also
  unsp__BGDeptName

## ◆ BGLineName

wchar_t* unsp__SubscriberBGInfo::BGLineName

Subscriber BG Line Name.

UTF-8 encoded characters are allowed.
required: false
default value[range]: NA [1..20]

## ◆ BGName

unsp__BGName unsp__SubscriberBGInfo::BGName

The Name of the Business Group to which the subscriber belongs.

required: true

See also
  unsp__BGName

## ◆ CpuId

int* unsp__SubscriberBGInfo::CpuId

A Call Pickup group Id to which this subscriber (BGL) belongs.

There can be only one CPU group ID per subscriber. A value of 0 indicates that the subscriber is not part of any CPU.
Read Only
default value[range]: NA [1.10000]

## ◆ CpuName

wchar_t* unsp__SubscriberBGInfo::CpuName

The Name of the Call Pickup group where the subscriber belongs.

Read Only
default value[range]: NA [1..64]

## ◆ CpuNotificationDelayTimer

int* unsp__SubscriberBGInfo::CpuNotificationDelayTimer

The Notification Delay Timer of the all Pickup group here the subscriber belongs.

Read Only
default value[range]: NA [0..60]

## ◆ Extension

char* unsp__SubscriberBGInfo::Extension

Indicates the Extension number of the subscriber, used for intra BG calls display only.

required: false
default value[range]: NA [1..7]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h